curl --request GET \
--url https://sandbox.tight.com/v6/payroll/{id} \
--header 'Authorization: Bearer <token>'{
"result": "SUCCESS",
"data": {
"id": "prl_12345",
"status": "ACTIVE",
"date": "2024-01-15",
"amount": 123,
"description": "Payroll Period 01/01/2024 - 01/15/2024",
"notes": "Check #1234 issued 2024-01-15",
"apiName": "GUSTO",
"apiSourceId": "gst_payroll_20240115",
"children": [
{
"id": "pli_12345",
"type": "STAFF_WAGES",
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
},
"amount": 500000,
"reconciliationMatch": {
"id": "<string>",
"apiSourceId": "<string>",
"amount": 123,
"date": "2023-12-25",
"description": "<string>",
"apiName": "BOX",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking **1687",
"displayName": "Business Checking **1687"
}
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
}Get a payroll entry for the given id
curl --request GET \
--url https://sandbox.tight.com/v6/payroll/{id} \
--header 'Authorization: Bearer <token>'{
"result": "SUCCESS",
"data": {
"id": "prl_12345",
"status": "ACTIVE",
"date": "2024-01-15",
"amount": 123,
"description": "Payroll Period 01/01/2024 - 01/15/2024",
"notes": "Check #1234 issued 2024-01-15",
"apiName": "GUSTO",
"apiSourceId": "gst_payroll_20240115",
"children": [
{
"id": "pli_12345",
"type": "STAFF_WAGES",
"glAccount": {
"id": "gla_38560327",
"name": "Officer(s) Salaries and Wages",
"accountNo": "60210",
"type": "EXPENSE",
"iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png"
},
"amount": 500000,
"reconciliationMatch": {
"id": "<string>",
"apiSourceId": "<string>",
"amount": 123,
"date": "2023-12-25",
"description": "<string>",
"apiName": "BOX",
"apiInstitutionId": "<string>",
"bankAccount": {
"id": "bka_7542850",
"name": "Business Checking **1687",
"displayName": "Business Checking **1687"
}
}
}
],
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
}Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
The id of the payroll